Package tigase.component.modules

## Class StanzaProcessor

- java.lang.Object
- - tigase.component.modules.StanzaProcessor

- All Implemented Interfaces:
    `ComponentStatisticsProvider`, `StatisticsProviderIfc`

      @Bean(name="stanzaProcessor",
            active=true)
      public class StanzaProcessor
      extends java.lang.Object
      implements ComponentStatisticsProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `StanzaProcessor.ModuleStatistics` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StanzaProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `everyHour()` |
    `void` | `everyMinute()` |
    `void` | `everySecond()` |
    `java.util.List<Module>` | `getModules()` |
    `ResponseManager` | `getResponseManager()` |
    `void` | `getStatistics​(java.lang.String compName, StatisticsList list)` |
    `PacketWriter` | `getWriter()` |
    `void` | `processPacket​(Packet packet)` |
    `void` | `sendException​(Packet packet, ComponentException e)` | Converts `ComponentException` to XMPP error stanza and sends it to sender of packet.
    `void` | `setModules​(java.util.List<Module> modules)` |
    `void` | `setResponseManager​(ResponseManager responseManager)` |
    `void` | `setWriter​(PacketWriter writer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.stats.ComponentStatisticsProvider

      `belongsTo`

- - ### Constructor Detail

    - #### StanzaProcessor

          public StanzaProcessor()

  - ### Method Detail

    - #### getModules

          public java.util.List<Module> getModules()

    - #### setModules

          public void setModules​(java.util.List<Module> modules)

    - #### getResponseManager

          public ResponseManager getResponseManager()

    - #### setResponseManager

          public void setResponseManager​(ResponseManager responseManager)

    - #### getWriter

          public PacketWriter getWriter()

    - #### setWriter

          public void setWriter​(PacketWriter writer)

    - #### processPacket

          public void processPacket​(Packet packet)

    - #### sendException

          public void sendException​(Packet packet,
                                    ComponentException e)

      Converts `ComponentException` to XMPP error stanza and sends it to sender of packet.
      Parameters:
        `packet` - packet what caused exception.
        `e` - exception.

    - #### everyHour

          public void everyHour()

      Specified by:
        `everyHour` in interface `ComponentStatisticsProvider`

    - #### everyMinute

          public void everyMinute()

      Specified by:
        `everyMinute` in interface `ComponentStatisticsProvider`

    - #### everySecond

          public void everySecond()

      Specified by:
        `everySecond` in interface `ComponentStatisticsProvider`

    - #### getStatistics

          public void getStatistics​(java.lang.String compName,
                                    StatisticsList list)

      Specified by:
        `getStatistics` in interface `StatisticsProviderIfc`